<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_222) on Fri Nov 08 16:38:32 CET 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Pokemon</title>
<meta name="date" content="2019-11-08">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Pokemon";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../practica22/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Pokemon.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../practica22/ComentarisUsuaris.html" title="class in practica22"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../practica22/Practica22.html" title="class in practica22"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?practica22/Pokemon.html" target="_top">Frames</a></li>
<li><a href="Pokemon.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">practica22</div>
<h2 title="Class Pokemon" class="title">Class Pokemon</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>practica22.Pokemon</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Pokemon</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#Pokemon--">Pokemon</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#Pokemon-java.lang.String-java.lang.String-">Pokemon</a></span>(java.lang.String&nbsp;Pok_id,
       java.lang.String&nbsp;nombre)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#Pokemon-java.lang.String-java.lang.String-java.lang.String-java.lang.String-int-int-int-double-double-double-double-double-">Pokemon</a></span>(java.lang.String&nbsp;Pok_id,
       java.lang.String&nbsp;nombre,
       java.lang.String&nbsp;tipo1,
       java.lang.String&nbsp;tipo2,
       int&nbsp;nivel,
       int&nbsp;energiaAct,
       int&nbsp;energiaMax,
       double&nbsp;ataque,
       double&nbsp;defensa,
       double&nbsp;velocidad,
       double&nbsp;defensaEsp,
       double&nbsp;ataqueEsp)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#getAtaque--">getAtaque</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#getAtaqueEsp--">getAtaqueEsp</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#getDefensa--">getDefensa</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#getDefensaEsp--">getDefensaEsp</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#getEnergiaAct--">getEnergiaAct</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#getEnergiaMax--">getEnergiaMax</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#getNivel--">getNivel</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#getNombre--">getNombre</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#getPok_id--">getPok_id</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#getTipo1--">getTipo1</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#getTipo2--">getTipo2</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#getVelocidad--">getVelocidad</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#setAtaque-double-">setAtaque</a></span>(double&nbsp;ataque)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#setAtaqueEsp-double-">setAtaqueEsp</a></span>(double&nbsp;ataqueEsp)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#setDefensa-double-">setDefensa</a></span>(double&nbsp;defensa)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#setDefensaEsp-double-">setDefensaEsp</a></span>(double&nbsp;defensaEsp)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#setEnergiaAct-int-">setEnergiaAct</a></span>(int&nbsp;energiaAct)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#setEnergiaMax-int-">setEnergiaMax</a></span>(int&nbsp;energiaMax)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#setNivel-int-">setNivel</a></span>(int&nbsp;nivel)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#setNombre-java.lang.String-">setNombre</a></span>(java.lang.String&nbsp;nombre)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#setPok_id-java.lang.String-">setPok_id</a></span>(java.lang.String&nbsp;Pok_id)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#setTipo1-java.lang.String-">setTipo1</a></span>(java.lang.String&nbsp;tipo1)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#setTipo2-java.lang.String-">setTipo2</a></span>(java.lang.String&nbsp;tipo2)</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#setVelocidad-double-">setVelocidad</a></span>(double&nbsp;velocidad)</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../practica22/Pokemon.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Pokemon--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Pokemon</h4>
<pre>public&nbsp;Pokemon()</pre>
</li>
</ul>
<a name="Pokemon-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Pokemon</h4>
<pre>public&nbsp;Pokemon(java.lang.String&nbsp;Pok_id,
               java.lang.String&nbsp;nombre)</pre>
</li>
</ul>
<a name="Pokemon-java.lang.String-java.lang.String-java.lang.String-java.lang.String-int-int-int-double-double-double-double-double-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Pokemon</h4>
<pre>public&nbsp;Pokemon(java.lang.String&nbsp;Pok_id,
               java.lang.String&nbsp;nombre,
               java.lang.String&nbsp;tipo1,
               java.lang.String&nbsp;tipo2,
               int&nbsp;nivel,
               int&nbsp;energiaAct,
               int&nbsp;energiaMax,
               double&nbsp;ataque,
               double&nbsp;defensa,
               double&nbsp;velocidad,
               double&nbsp;defensaEsp,
               double&nbsp;ataqueEsp)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPok_id--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPok_id</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPok_id()</pre>
</li>
</ul>
<a name="setPok_id-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPok_id</h4>
<pre>public&nbsp;void&nbsp;setPok_id(java.lang.String&nbsp;Pok_id)</pre>
</li>
</ul>
<a name="getNombre--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNombre</h4>
<pre>public&nbsp;java.lang.String&nbsp;getNombre()</pre>
</li>
</ul>
<a name="setNombre-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNombre</h4>
<pre>public&nbsp;void&nbsp;setNombre(java.lang.String&nbsp;nombre)</pre>
</li>
</ul>
<a name="getTipo1--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTipo1</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTipo1()</pre>
</li>
</ul>
<a name="setTipo1-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTipo1</h4>
<pre>public&nbsp;void&nbsp;setTipo1(java.lang.String&nbsp;tipo1)</pre>
</li>
</ul>
<a name="getTipo2--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTipo2</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTipo2()</pre>
</li>
</ul>
<a name="setTipo2-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTipo2</h4>
<pre>public&nbsp;void&nbsp;setTipo2(java.lang.String&nbsp;tipo2)</pre>
</li>
</ul>
<a name="getNivel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNivel</h4>
<pre>public&nbsp;int&nbsp;getNivel()</pre>
</li>
</ul>
<a name="setNivel-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNivel</h4>
<pre>public&nbsp;void&nbsp;setNivel(int&nbsp;nivel)</pre>
</li>
</ul>
<a name="getEnergiaAct--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEnergiaAct</h4>
<pre>public&nbsp;int&nbsp;getEnergiaAct()</pre>
</li>
</ul>
<a name="setEnergiaAct-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnergiaAct</h4>
<pre>public&nbsp;void&nbsp;setEnergiaAct(int&nbsp;energiaAct)</pre>
</li>
</ul>
<a name="getEnergiaMax--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEnergiaMax</h4>
<pre>public&nbsp;int&nbsp;getEnergiaMax()</pre>
</li>
</ul>
<a name="setEnergiaMax-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnergiaMax</h4>
<pre>public&nbsp;void&nbsp;setEnergiaMax(int&nbsp;energiaMax)</pre>
</li>
</ul>
<a name="getAtaque--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAtaque</h4>
<pre>public&nbsp;double&nbsp;getAtaque()</pre>
</li>
</ul>
<a name="setAtaque-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAtaque</h4>
<pre>public&nbsp;void&nbsp;setAtaque(double&nbsp;ataque)</pre>
</li>
</ul>
<a name="getDefensa--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefensa</h4>
<pre>public&nbsp;double&nbsp;getDefensa()</pre>
</li>
</ul>
<a name="setDefensa-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefensa</h4>
<pre>public&nbsp;void&nbsp;setDefensa(double&nbsp;defensa)</pre>
</li>
</ul>
<a name="getVelocidad--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVelocidad</h4>
<pre>public&nbsp;double&nbsp;getVelocidad()</pre>
</li>
</ul>
<a name="setVelocidad-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVelocidad</h4>
<pre>public&nbsp;void&nbsp;setVelocidad(double&nbsp;velocidad)</pre>
</li>
</ul>
<a name="getDefensaEsp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefensaEsp</h4>
<pre>public&nbsp;double&nbsp;getDefensaEsp()</pre>
</li>
</ul>
<a name="setDefensaEsp-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefensaEsp</h4>
<pre>public&nbsp;void&nbsp;setDefensaEsp(double&nbsp;defensaEsp)</pre>
</li>
</ul>
<a name="getAtaqueEsp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAtaqueEsp</h4>
<pre>public&nbsp;double&nbsp;getAtaqueEsp()</pre>
</li>
</ul>
<a name="setAtaqueEsp-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAtaqueEsp</h4>
<pre>public&nbsp;void&nbsp;setAtaqueEsp(double&nbsp;ataqueEsp)</pre>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../practica22/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Pokemon.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../practica22/ComentarisUsuaris.html" title="class in practica22"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../practica22/Practica22.html" title="class in practica22"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?practica22/Pokemon.html" target="_top">Frames</a></li>
<li><a href="Pokemon.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
